ripley::DefaultAssembler3D< Scalar > Class Template Reference

`#include <DefaultAssembler3D.h>`

Inheritance diagram for ripley::DefaultAssembler3D< Scalar >:

## Public Member Functions

| DefaultAssembler3D (escript::const_Domain_ptr dom, const double *dx, const dim_t *NE, const dim_t *NN)
| ~DefaultAssembler3D ()
virtual void | assemblePDESingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const escript::Data &A, const escript::Data &B, const escript::Data &C, const escript::Data &D, const escript::Data &X, const escript::Data &Y) const
virtual void | assemblePDEBoundarySingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const escript::Data &d, const escript::Data &y) const
virtual void | assemblePDESingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const escript::Data &A, const escript::Data &B, const escript::Data &C, const escript::Data &D, const escript::Data &X, const escript::Data &Y) const
virtual void | assemblePDEBoundarySingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const escript::Data &d, const escript::Data &y) const
virtual void | assemblePDESystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const escript::Data &A, const escript::Data &B, const escript::Data &C, const escript::Data &D, const escript::Data &X, const escript::Data &Y) const
virtual void | assemblePDEBoundarySystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const escript::Data &d, const escript::Data &y) const
virtual void | assemblePDESystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const escript::Data &A, const escript::Data &B, const escript::Data &C, const escript::Data &D, const escript::Data &X, const escript::Data &Y) const
virtual void | assemblePDEBoundarySystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const escript::Data &d, const escript::Data &y) const
virtual void | assemblePDESingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDEBoundarySingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDESingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDEBoundarySingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDESystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDEBoundarySystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDESystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
virtual void | assemblePDEBoundarySystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | collateFunctionSpaceTypes (std::vector< int > &fsTypes, const DataMap &coefs) const
Public Member Functions inherited from ripley::AbstractAssembler
virtual | ~AbstractAssembler ()

## Protected Member Functions

| POINTER_WRAPPER_CLASS (const Brick) domain

## Protected Attributes

const double * | m_dx
const dim_t * | m_NE
const dim_t * | m_NN

## Constructor & Destructor Documentation

## DefaultAssembler3D()

template<class Scalar = double>

ripley::DefaultAssembler3D< Scalar >::DefaultAssembler3D | ( | escript::const_Domain_ptr | dom,
|  | const double * | dx,
|  | const dim_t * | NE,
|  | const dim_t * | NN
| ) |  |

inline

## ~DefaultAssembler3D()

template<class Scalar = double>

ripley::DefaultAssembler3D< Scalar >::~DefaultAssembler3D | ( |  | ) |

inline

## Member Function Documentation

## assemblePDEBoundarySingle() [1/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDEBoundarySingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::unpackData().

## assemblePDEBoundarySingle() [2/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDEBoundarySingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const escript::Data & | d,
|  | const escript::Data & | y
| ) |  | const

virtual

assembles boundary conditions of a single PDE into the system matrix 'mat' and the right hand side 'rhs'

References escript::Data::actsExpanded(), escript::Data::getSampleDataRO(), INDEX2, escript::Data::isEmpty(), escript::Data::requireWrite(), and escript::Scalar().

## assemblePDEBoundarySingleReduced() [1/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDEBoundarySingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::unpackData().

## assemblePDEBoundarySingleReduced() [2/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDEBoundarySingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const escript::Data & | d,
|  | const escript::Data & | y
| ) |  | const

virtual

assembles boundary conditions of a single PDE with reduced order into the system matrix 'mat' and the right hand side 'rhs'

References escript::Data::getSampleDataRO(), INDEX2, escript::Data::isEmpty(), escript::Data::requireWrite(), and escript::Scalar().

## assemblePDEBoundarySystem() [1/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDEBoundarySystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::unpackData().

## assemblePDEBoundarySystem() [2/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDEBoundarySystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const escript::Data & | d,
|  | const escript::Data & | y
| ) |  | const

virtual

assembles boundary conditions of a system of PDEs into the system matrix 'mat' and the right hand side 'rhs'

References escript::Data::actsExpanded(), escript::AbstractSystemMatrix::getColumnBlockSize(), escript::Data::getDataPointSize(), escript::AbstractSystemMatrix::getRowBlockSize(), escript::Data::getSampleDataRO(), INDEX2, INDEX3, INDEX4, escript::Data::isEmpty(), escript::Data::requireWrite(), and escript::Scalar().

## assemblePDEBoundarySystemReduced() [1/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDEBoundarySystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::unpackData().

## assemblePDEBoundarySystemReduced() [2/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDEBoundarySystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const escript::Data & | d,
|  | const escript::Data & | y
| ) |  | const

virtual

assembles boundary conditions of a system of PDEs with reduced order into the system matrix 'mat' and the right hand side 'rhs'

References escript::AbstractSystemMatrix::getColumnBlockSize(), escript::Data::getDataPointSize(), escript::AbstractSystemMatrix::getRowBlockSize(), escript::Data::getSampleDataRO(), INDEX2, INDEX4, escript::Data::isEmpty(), escript::Data::requireWrite(), and escript::Scalar().

## assemblePDESingle() [1/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDESingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::unpackData().

## assemblePDESingle() [2/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDESingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const escript::Data & | A,
|  | const escript::Data & | B,
|  | const escript::Data & | C,
|  | const escript::Data & | D,
|  | const escript::Data & | X,
|  | const escript::Data & | Y
| ) |  | const

virtual

assembles a single PDE into the system matrix 'mat' and the right hand side 'rhs'

References escript::Data::actsExpanded(), escript::Data::getSampleDataRO(), INDEX2, INDEX3, escript::Data::isEmpty(), escript::Data::requireWrite(), and escript::Scalar().

## assemblePDESingleReduced() [1/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDESingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::unpackData().

## assemblePDESingleReduced() [2/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDESingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const escript::Data & | A,
|  | const escript::Data & | B,
|  | const escript::Data & | C,
|  | const escript::Data & | D,
|  | const escript::Data & | X,
|  | const escript::Data & | Y
| ) |  | const

virtual

assembles a single PDE with reduced order into the system matrix 'mat' and the right hand side 'rhs'

References escript::Data::getSampleDataRO(), INDEX2, escript::Data::isEmpty(), escript::Data::requireWrite(), and escript::Scalar().

## assemblePDESystem() [1/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDESystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::unpackData().

## assemblePDESystem() [2/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDESystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const escript::Data & | A,
|  | const escript::Data & | B,
|  | const escript::Data & | C,
|  | const escript::Data & | D,
|  | const escript::Data & | X,
|  | const escript::Data & | Y
| ) |  | const

virtual

assembles a system of PDEs into the system matrix 'mat' and the right hand side 'rhs'

References escript::Data::actsExpanded(), escript::AbstractSystemMatrix::getColumnBlockSize(), escript::Data::getDataPointSize(), escript::AbstractSystemMatrix::getRowBlockSize(), escript::Data::getSampleDataRO(), INDEX2, INDEX3, INDEX4, INDEX5, escript::Data::isEmpty(), escript::Data::requireWrite(), and escript::Scalar().

## assemblePDESystemReduced() [1/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDESystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::unpackData().

## assemblePDESystemReduced() [2/2]

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::assemblePDESystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const escript::Data & | A,
|  | const escript::Data & | B,
|  | const escript::Data & | C,
|  | const escript::Data & | D,
|  | const escript::Data & | X,
|  | const escript::Data & | Y
| ) |  | const

virtual

assembles a system of PDEs with reduced order into the system matrix 'mat' and the right hand side 'rhs'

References escript::AbstractSystemMatrix::getColumnBlockSize(), escript::Data::getDataPointSize(), escript::AbstractSystemMatrix::getRowBlockSize(), escript::Data::getSampleDataRO(), INDEX2, INDEX3, INDEX4, escript::Data::isEmpty(), escript::Data::requireWrite(), and escript::Scalar().

## collateFunctionSpaceTypes()

template<class Scalar >

void ripley::DefaultAssembler3D< Scalar >::collateFunctionSpaceTypes | ( | std::vector< int > & | fsTypes,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::isNotEmpty().

## POINTER_WRAPPER_CLASS()

template<class Scalar = double>

ripley::DefaultAssembler3D< Scalar >::POINTER_WRAPPER_CLASS | ( | const | Brick | ) |

protected

## Member Data Documentation

## m_dx

template<class Scalar = double>

const double* ripley::DefaultAssembler3D< Scalar >::m_dx

protected

## m_NE

template<class Scalar = double>

const dim_t* ripley::DefaultAssembler3D< Scalar >::m_NE

protected

## m_NN

template<class Scalar = double>

const dim_t* ripley::DefaultAssembler3D< Scalar >::m_NN

protected

The documentation for this class was generated from the following files:

- ripley/src/DefaultAssembler3D.h
- ripley/src/DefaultAssembler3D.cpp